package aexp.location;

import android.os.Bundle;
import android.content.IntentReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;

public class LocationUpdateReceiver extends IntentReceiver {
  private static final String LOG_TAG = "LOCATIONUPDATERECEIVER";

  public void onReceiveIntent(Context context, Intent intent) {
        Log.d( LOG_TAG, intent.getAction() );
        LocationUpdateDisplay lud = LocationUpdateDisplay.getActivityReference();
        if( intent.getAction() == null )
                Log.e( LOG_TAG,"Action==null!" );
        else
                lud.handleUpdateEvent( intent.getAction(), intent.getExtras() );
  }
}